import './assets/main.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'

import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

const app = createApp(App)
const store  =  createPinia()
store.use(piniaPluginPersistedstate)
app.use(store)
app.use(router)
app.use(ElementPlus)
app.mount('#app')
